eoFitnessScalingSelect(3)

NAME
eoFitnessScalingSelect - eoFitnessScalingSelect: select an individual proportional to the linearly scaled fitness that is computed by the private eoLinearFitScaling object

SYNOPSIS

#include <eoFitnessScalingSelect.h>

Inherits eoRouletteWorthSelect< EOT, double >.

  Public Member Functions
eoFitnessScalingSelect (double _p=2.0)
Ctor:.

  Private Attributes
eoLinearFitScaling< EOT > scaling

Detailed Description

  template<class EOT> class eoFitnessScalingSelect< EOT >
eoFitnessScalingSelect: select an individual proportional to the linearly scaled fitness that is computed by the private eoLinearFitScaling object

Definition at line 40 of file eoFitnessScalingSelect.h.

Constructor & Destructor Documentation

  template<class EOT> eoFitnessScalingSelect< EOT >::eoFitnessScalingSelect (double _p = 2.0) [inline]

Ctor:.

Parameters:
    _p the selective pressure, should be in [1,2] (2 is the default)

Definition at line 46 of file eoFitnessScalingSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.